
Foreman - Bug #2791

ptable["layout"] is missing via api call

07/15/2013 10:16 AM - Florian Rosenegger

Status: Closed   

Priority: Low   

Assignee: Joseph Magen   

Category: API   

Target version: 1.2.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hello,

it seems as if ptable["layout"] is missing via Api Call in GET and POST Requests. It works fine in PUT Requests.

The Fix according to Ohad Levy is:

by adding it to app/views/api/v1/ptables/show.json.rabl

Associated revisions

Revision 774ed2d2 - 07/17/2013 11:57 AM - Joseph Magen

fixes #2791 - ptable api was missing :layout and :os_family

Revision fa67fb09 - 07/18/2013 03:54 AM - Joseph Magen

fixes #2791 - ptable api was missing :layout and :os_family

(cherry picked from commit 774ed2d2ac6af23369eafa7658b0a446f3b63adf)

History

#1 - 07/15/2013 10:30 AM - Joseph Magen

- Category set to API

- Status changed from New to Assigned

- Assignee set to Joseph Magen

- Target version set to 1.2.1

#2 - 07/16/2013 04:15 AM - Joseph Magen

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/787

#3 - 07/17/2013 12:17 PM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 774ed2d2ac6af23369eafa7658b0a446f3b63adf.
